petsc-3.12.1 2019-10-22
Report Typos and Errors

# DMCreateSectionSuperDM

Returns an arrays of ISes and DM+Section encapsulating a superproblem defined by the DM+Sections passed in.

### Synopsis

    #include "petscdm.h"
    PetscErrorCode DMCreateSectionSuperDM(DM dms[], PetscInt len, IS **is, DM *superdm)

Not collective

### Input Parameter

| dms | - The DM objects
| len | - The number of DMs

### Output Parameters

| is | - The global indices for the subproblem, or NULL
| superdm | - The DM for the superproblem, which must already have be cloned

Note: This handles all information in the DM class and the PetscSection. This is used as the basis for creating subDMs in specialized classes, such as Plex and Forest.

### See Also

DMCreateSuperDM(), DMGetLocalSection(), DMPlexSetMigrationSF(), DMView()

### Level

intermediate

### Location

src/dm/interface/dmi.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages